liborigin 2.0.0

Public Member Functions | Private Member Functions | Private Attributes | List of all members
std::iendianfstream Class Reference

`#include <endianfstream.hh>`

Inheritance diagram for std::iendianfstream:

## Public Member Functions
| iendianfstream (const char *_Filename, ios_base::openmode _Mode=ios_base::in)
iendianfstream & | operator>> (bool &value)
iendianfstream & | operator>> (char &value)
iendianfstream & | operator>> (double &value)
iendianfstream & | operator>> (float &value)
iendianfstream & | operator>> (int &value)
iendianfstream & | operator>> (long &value)
iendianfstream & | operator>> (long double &value)
iendianfstream & | operator>> (Origin::Color &value)
iendianfstream & | operator>> (short &value)
iendianfstream & | operator>> (string &value)
iendianfstream & | operator>> (unsigned char &value)
iendianfstream & | operator>> (unsigned int &value)
iendianfstream & | operator>> (unsigned long &value)
iendianfstream & | operator>> (unsigned short &value)

## Private Member Functions
void | swap_bytes (unsigned char *data, int size)

## Private Attributes
bool | bigEndian

## Constructor & Destructor Documentation

## ◆ iendianfstream()

std::iendianfstream::iendianfstream | ( | const char * | _Filename,
|  | ios_base::openmode | _Mode = `ios_base::in`
| ) |  |
| inline

References bigEndian.

## Member Function Documentation

## ◆ operator>>() [1/14]

iendianfstream & std::iendianfstream::operator>> | ( | bool & | value | ) |
| inline

## ◆ operator>>() [2/14]

iendianfstream & std::iendianfstream::operator>> | ( | char & | value | ) |
| inline

## ◆ operator>>() [3/14]

iendianfstream & std::iendianfstream::operator>> | ( | double & | value | ) |
| inline

References bigEndian, and swap_bytes().

## ◆ operator>>() [4/14]

iendianfstream & std::iendianfstream::operator>> | ( | float & | value | ) |
| inline

References bigEndian, and swap_bytes().

## ◆ operator>>() [5/14]

iendianfstream & std::iendianfstream::operator>> | ( | int & | value | ) |
| inline

References bigEndian, and swap_bytes().

## ◆ operator>>() [6/14]

iendianfstream & std::iendianfstream::operator>> | ( | long & | value | ) |
| inline

References bigEndian, and swap_bytes().

## ◆ operator>>() [7/14]

iendianfstream & std::iendianfstream::operator>> | ( | long double & | value | ) |
| inline

References bigEndian, and swap_bytes().

## ◆ operator>>() [8/14]

iendianfstream & std::iendianfstream::operator>> | ( | Origin::Color & | value | ) |
| inline

References Origin::Color::Automatic, Origin::Color::column, Origin::Color::Custom, Origin::Color::custom, Origin::Color::Increment, Origin::Color::Indexing, Origin::Color::Mapping, Origin::Color::None, Origin::Color::Regular, Origin::Color::regular, Origin::Color::RGB, Origin::Color::starting, and Origin::Color::type.

## ◆ operator>>() [9/14]

iendianfstream & std::iendianfstream::operator>> | ( | short & | value | ) |
| inline

References bigEndian, and swap_bytes().

## ◆ operator>>() [10/14]

iendianfstream & std::iendianfstream::operator>> | ( | string & | value | ) |
| inline

## ◆ operator>>() [11/14]

iendianfstream & std::iendianfstream::operator>> | ( | unsigned char & | value | ) |
| inline

## ◆ operator>>() [12/14]

iendianfstream & std::iendianfstream::operator>> | ( | unsigned int & | value | ) |
| inline

References bigEndian, and swap_bytes().

## ◆ operator>>() [13/14]

iendianfstream & std::iendianfstream::operator>> | ( | unsigned long & | value | ) |
| inline

References bigEndian, and swap_bytes().

## ◆ operator>>() [14/14]

iendianfstream & std::iendianfstream::operator>> | ( | unsigned short & | value | ) |
| inline

References bigEndian, and swap_bytes().

## ◆ swap_bytes()

void std::iendianfstream::swap_bytes | ( | unsigned char * | data,
|  | int | size
| ) |  |
| inline private

Referenced by operator>>().

## Member Data Documentation

## ◆ bigEndian

bool std::iendianfstream::bigEndian
| private

Referenced by iendianfstream(), and operator>>().

The documentation for this class was generated from the following file:

- /tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/endianfstream.hh